[Unit]
Description=Minecraft Server
After=network.target

[Service]
WorkingDirectory=/minecraft/server
Type=simple
User=ec2-user
Group=ec2-user

ExecStart=/bin/sh -c "/usr/bin/screen -DmS minecraft /bin/sh -c '/minecraft/server/run.sh'"

ExecReload=/usr/bin/screen -p 0 -S minecraft -X eval 'stuff "reload"\\015'

ExecStop=/usr/bin/screen -p 0 -S minecraft -X eval 'stuff "say SERVER SHUTTING DOWN. Saving map..."\\015'
ExecStop=/bin/sh -c '/bin/sleep 5'
ExecStop=/usr/bin/screen -p 0 -S minecraft -X eval 'stuff "save-all"\\015'
ExecStop=/usr/bin/screen -p 0 -S minecraft -X eval 'stuff "stop"\\015'
ExecStop=/bin/sh -c '/bin/sleep 10'
ExecStop=/bin/sh -c '/minecraft/backup.sh'

[Install]
WantedBy=multi-user.target
